/* 
JavaScript for http://www.inuiyosuke.jp/
last updated on 2008.11.09
(c) 2008 YOSUKE INUI Design Office
-- 
*/ 

/* -------------------- MAP -------------------- */
load.Set('MAP.set();');
var MAP = { flag:false, timer:undefined, obj:new Object(), objs:new Object(), imgs:new Array(), Dimgs:new Array(), SC_MAP:new Array(), key:false, keys:new Array(), 
code:new Array(0,14105,14107,14108,14111,14115), decode:new Array(0), 
count:0,
set:function () {
	MAP.objs		= new CLASS ('MAPLAYER');
	MAP.SC_MAP	= new CLASS('SC_MAP');	/* 市 checkbox */

if (MAP.objs.length) {

	MAP.count = Math.ceil( MAP.objs.length / MAP.code.length );	/* ページ上のMAPの数 */

	for (i = 0; i < MAP.count; i ++) {	/* 基本のMAPLAYER */
		MAP.objs[(i * MAP.code.length)].setD(1);
		MAP.objs[(i * MAP.code.length)].setZ(5);
		MAP.imgs[(i * MAP.code.length)]	= new Image();
		MAP.imgs[(i * MAP.code.length)].src	= MAP.objs[0].path.src;
		MAP.Dimgs[(i * MAP.code.length)]	= new Image();
		MAP.Dimgs[(i * MAP.code.length)].src	= MAP.imgs[(i * MAP.code.length)].src;
	}
	for (i = 0; i < MAP.objs.length; i ++) { 
		if ((i % MAP.code.length) != 0 ) { MAP.objs[i].setD(0); }	/* 基本のMAPLAYER以外は非表示 */
	}
	for (i = 0; i < MAP.objs.length; i ++) { 	/* OVER時の画像読込み */
		if (i < MAP.code.length) { MAP.decode[(MAP.code[i])] = i; }	/* decodeの値（ついでに） */
		MAP.imgs[i] = new Image();
		MAP.Dimgs[i] = new Image();
		if (MAP.objs[i]) { 
			MAP.Dimgs[i].src = 'img/' + (MAP.code[(i - Math.floor( i / MAP.code.length ) * MAP.code.length)]) + '.png';	/* OVER時の画像（学校区からさがす & 物件検索トップ） */
			MAP.imgs[i].src = 'img/' + (MAP.code[(i - Math.floor( i / MAP.code.length ) * MAP.code.length)]) + '.png';	/* OVER時の画像（通常の絞り込み検索） */
		}
	}
}},
over:function () { if (MAP.objs[0]) {
	var key = arguments[0] || 0;
	for (i = 0; i < MAP.count; i ++) {	/* Adapt all Maps */
		if	(MAP.objs.length > MAP.SC_MAP.length * 2 && i == MAP.count - 1)	{ MAP.objs[(i * MAP.code.length)].path.src = MAP.Dimgs[(MAP.decode[key])].src }	// 購入トップ・沿線・学校区・マンショントップ（ "MAPLAYER"が"MAP.SC_MAP (input)"の2倍より少なく、最後のMAPであれば"Dimg"とする。）
		else								{ MAP.objs[(i * MAP.code.length)].path.src = MAP.imgs[(MAP.decode[key])].src }	// 通常
	}
}},
on:function() { if (MAP.objs[0]) {
	if (winIE && arguments[1]) { arguments[1].blur(); }	/* IE forcus line 無効化（WILL要望） */

	MAP.keys[(arguments[0])] = (MAP.keys[(arguments[0])]) ? false : true;

	for (i = 0; i < MAP.count; i ++) {	/* Adapt all Maps */
		if (MAP.keys[(arguments[0])])	{ MAP.objs[(i * MAP.code.length + MAP.decode[(arguments[0])])].setD(1); }
		else			{ MAP.objs[(i * MAP.code.length + MAP.decode[(arguments[0])])].setD(0); }
	}

	for (i = 0; i < MAP.count - ((MAP.objs.length - MAP.count) / MAP.SC_MAP.length - 1); i ++) {	// Adapt all SC_MAP : if (SC_MAP < MAP) { NO FUNCTION }
		MAP.SC_MAP[(i * (MAP.code.length - 1) + MAP.decode[(arguments[0])] - 1)].path.childNodes[0].checked	= MAP.keys[(arguments[0])];
		SEARCH_FORM.out(MAP.SC_MAP[(i * (MAP.code.length - 1) + MAP.decode[(arguments[0])] - 1)].path); // 着色（SEARCH_FORM.out） */
	}
	return false;
}}
}
